package fs

import (
	"ZhenTuLocalPassiveAdapter/config"
	"ZhenTuLocalPassiveAdapter/dto"
	"time"
)

type Adapter interface {
	GetFileList(path string, relDt time.Time) ([]dto.File, error)
}

func GetAdapter() Adapter {
	return &LocalAdapter{
		config.Config.Record.Storage,
	}
}
